<?xml version="1.0" encoding="gb2312"?>
<!--HDR+3.0 Cmode_2.0_xml_1.0_1901042101-->
<Config>
    <Global>
        <MFNRBypass>0</MFNRBypass>
        <HDRBypass>1</HDRBypass>
        <RAWNRBypass>0</RAWNRBypass>
        <CEBypass>1</CEBypass>
        <DEBypass>0</DEBypass>
        <SkinSmoothBypass>1</SkinSmoothBypass>
    </Global>

    <MFNR>
        <TC>
            <mindist>11</mindist>           <!--[3 , 21]-->
            <window_width>11</window_width>   <!--[11]-->
            <window_height>11</window_height>  <!--[11]-->
            <min_eigenvalue>3</min_eigenvalue>  <!--[0 , 255]-->
            <min_determinant>0.01</min_determinant>   <!--[0.001f , 8.0f]-->
            <min_displacement>0.01</min_displacement>  <!--[0.01f , 1.0f]-->
            <max_iterations>30</max_iterations>   <!--[1 , 255]-->
            <max_residue>20.0</max_residue>   <!--[0.0f , 255.0f]-->
            <step_factor>1.0</step_factor>    <!--[1.0f , 16.0f]-->
            <nPyramidLevels>4</nPyramidLevels>  <!--[1 , 8]-->
            <subsampling>2</subsampling>   <!--[2 , 4]-->
            <divnum_x>16</divnum_x>    <!--[2 , 20] -->
            <divnum_y>16</divnum_y>    <!--[2 , 20]-->
            <fnum_block>3</fnum_block>  <!--[1 , 8]-->
        </TC>
        <RANSAC_PARAM>
            <max_iters>150</max_iters>   <!--[1 , 1024]-->
            <threshold>3.0</threshold>   <!--[0.1f , 16.0f]-->
            <confidence>0.9995</confidence>   <!--(0.0f , 1.0f]-->
        </RANSAC_PARAM>
        <GHOST_PARAMS>
            <iso>       100     200   400    800    1600   2400   3200   6400     </iso> <!-- iso threshold for th0~th7 -->
            <factor>    1.000   1.000 1.000  1.000  1.000  1.000  1.000  1.000    </factor>  <!-- factor,dark_level:[1.0,2.0]; c:(0,2047] -->
            <dark_level>1.500   2.000 2.000  2.000  2.000  2.000  2.000  2.000    </dark_level>
            <c>         5.000   6.000 8.000  12.000 18.000 28.000 36.000 72.000   </c>
        </GHOST_PARAMS>
        <EXCEPTION_HANDLER>
            <iso>                 100     200     400     800     1600    2400    3200    6400  </iso> <!-- iso threshold for th0~th7 -->
            <thresh_rotate>       0.2     0.2     0.2     0.2     0.2     0.2     0.2     0.2   </thresh_rotate>   <!--[0.0,9.0]-->
            <thresh_translate>    256.0   256.0   256.0   256.0   256.0   256.0   256.0   256.0 </thresh_translate><!--[0.0,1024.0]-->
            <thresh_zoom>         0.0001  0.0001  0.0001  0.0001  0.0001  0.0001  0.0001  0.0001</thresh_zoom><!--[0.0,0.00025]-->
            <thresh_num_feature>  5       5       5       5       5       5       5       5     </thresh_num_feature><!--[5,255]-->
            <thresh_contrast>     50      50      50      50      50      50      50      50    </thresh_contrast><!--[0,100]-->
        </EXCEPTION_HANDLER>
        <slf_t>
            <long_frame_skip>  0  </long_frame_skip>    <!--{0,1}-->
            <well_expo_long>  0.5 </well_expo_long>    <!--[0.0,1.0]-->
            <well_expo_short> 0.5 </well_expo_short>   <!--[0.0,1.0]-->
        </slf_t>
        <append_params>
            <single_frame_index>  2  </single_frame_index>    <!--[0,20]-->
            <!--      expo & iso        dark_ratio*256    thresh_binary      r_dil     beta_dark_level   beta_sigma     distance_th   weight_lut_fusion   th_fusion_sl    -->
            <!--  0~2 expo; others iso    [0,4096]         [0,256]          {4,8}      [1,1024]         [1,1024]         [1, 16]      [0  1024]           [0  1024]      -->
            <param0>    5000                 512             90               8           256              256             1          0   1024               10               </param0>
            <param1>    1000                 512             90               8           256              256             1          0   1024               10               </param1>
            <param2>    200                  512             90               8           256              256             1          0   1024               10               </param2>
            <param3>    50                   512             90               8           256              256             1          0   1024               10               </param3>
            <param4>    100                  512             90               8           256              256             1          0   1024               10               </param4>
            <param5>    200                  512             90               8           256              256             1          0   1024               10               </param5>
            <param6>    400                  512             90               8           256              256             1          0   1024               10               </param6>
            <param7>    700                  512             90               8           256              256             1          0   1024               10               </param7>
            <param8>    1000                 512             90               8           256              256             1          0   1024               10               </param8>
            <param9>    3000                 512             90               8           256              256             1          0   1024               10               </param9>
            <param10>   6000                 512             90               8           256              256             1          0   1024               10               </param10>
            <param11>   12800                512             90               8           256              256             1          0   1024               10               </param11>
            <param12>   26000                512             90               8           256              256             1          0   1024               10               </param12>
            
            
        </append_params>
        <!--         ISO         Luma    thresh-->
        <!--        [50,3200]   [0,255]  [0,255] -->
        <seg_params> 50  100    80  120  1  54</seg_params>
        <!--                  ISO       Scale    -->
        <!--               [50,3200]   [0,256]   -->
        <edge_noise_params> 50  100    256  0   </edge_noise_params>
    </MFNR>

    <HDR>
        <!--         sky_frm  body_frm  skin_luma -->
        <!--          3[0, 1] ,      0 off, 1 on  -->
        <opt_switch>  1          1         1     </opt_switch>

        <param_size>111</param_size>
        <params_sd0>
            <sd_result>0</sd_result>
            <!-- light_lev luma_center  eps    eps_blur    eps_lap  eps_weight  min_size  gf_lev    r        r_gain  edge_thr edge_boxf_r plant_scale  bpv_scale  detail:gain_coff gain_min  gain_min2  gain_max gain_drc   global_min  global_max  th_low     th_high    str_low    str_high  hlr_alpha  hlr_center hlr_eps trust_min  weight_center  border     face   lime:gamma_low gamma_high gamma_min  center_low ups_interp     white_edge       upsample_de        bayer_pat_de     plant_de  background_de  face: luma_goal gamma_face bpv_factor face_eps    gf_max_r   std_scale  last_pyd_r  eps  gain_weight  erosion_r  body: luma_goal  gamma_body  bvp_factor re_scale     sky_goal  blue_goal gamma_sky gamma_blue night_scale   cloudy_th  retinex:r0        r1        r2       r3         r4      r5     eps0       eps1      eps2       eps3       eps4     eps5    minratio   maxratio face_recover DE_eps*100000.f  strength  surface_th   de_laplacian(+)*100   de_laplacia(-)*100   de_gaussian*100   gtm_reduce    blc_offset(rgb)      lsc_value_conner(rgb) rlc_recover gf_r   gf_eps  hwp:th_high curve_shift ev:th_high curve_shift skin_de_str  sky_mean_low sky_mean_high  blue_low blue_high sf_switch  edge_recover  res1  res2   gtm1_cale  lumamap_down  -->
            <!--[0,1280000] [0,255]  [1, 65535] [1, 65535] [1, 65535] [1, 65535] [2, 512] [2, 4]   [2, 64]  [2, 64]   [0, 255]  [0, 64]   [0, 256]      [0, 256]         [0 512]   [0 4096] [0 4096]  [0 4096] [0 4096]    [0 256]      [0 256]   [0 255]   [0 255]     [0 1024]   [0 1024]    [0 256]   [0 255]   [1 256]   [0 256]      [0 256]   [0 256]    [0 256]      [0 256]      [0 256]   [0 2560]    [0 256]    [1 1000]   L[0 255] H[0 255]  L[0 256] H[0 256] L[0 256] H[0 256]  [0 255]    [0 255]             [0 256]    [0 256]     [0 256]   [0 256]     [0  32]   [0 2048]  [1 64]  [1 4096]  [0,256]      [1,64]          [0,256]    [0,256]      [0,256]    [0,256]     [0 256]   [0 256]    [0 256]   [0 256]      [0 256]   [0 255]        [4 512]   [0 512]   [0 512]   [0 512]   [0 512]  [0 512]  [1 4096]   [1 4096]  [1 4096]  [1 4096]   [1 4096]  [1 4096] [0 4096]  [0 4096]  [0 256]     [1 100000]      [0 256]    [0 256]          [100, 300]              [100, 300]        [100, 300]    [0, 256]          3[-1024,1024]             3[1, 16384]      [0, 1280]  [1 2] [1 65535]    [0 255]   [0 100]      [0 2000]   [0 100]    [0, 256]     [0, 256]     [0, 256]      [0, 500]  [0, 500]  [0, 1]     [0, 1280]     2[0 65535]  [0, 100]     [2, 3]      -->
            <param0>0       141          192       6          380          32       512      4        2          4      150        10        150          256              140        64       450       600      4096       222         256        1          5          256       128         64        230        160         5          103        90        128        160          220          40        200       100           35         60     130      200        50      150       128        64                   175       243          256       26          4         256        4        3        160          2               125        218          128       196        230       220         230      200        230          70             8         32        64       128        0      41       8          16        32         64         0         0        32        512       256          500             256        80             105                      105               100           128               0     0     0       1024  1024  1024       256     1         10         30          0          500         0         256           40            120          120       150       1        256           0     0       0            3      </param0>
            <param1>5       141          192       6          280          32       512      4        2          4      150        10        150          256              140        64       450       600      4096       204         256        3          5          256       128         192       220        108         9          103        90        128        164          220          40        200       100           35         60     130      200        50      150       128        64                   170       243          256       26          4         256        4        3        160          2               125        218          128       196        230       220         230      200        230          70             8         32        64       128        0      41       8          16        32         64         0         0        32        512       256          500             256        80             105                      105               100           128               0     0     0       1024  1024  1024       256     1         10         30          0          500         0         256           40            120          120       150       1        256           0     0       0            3      </param1>
            <param2>50      128          192       6          240          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       204         256        3          5          256       32          192       190        128         9          103        90        128        96           218          45        180       100           35         60     130      200        50      150       128       128                   150       243          256       26          4         256        4        3        140          2               125        218          128       196        230       220         230      200        230          70             8         32        64       128        0      41       16         100       160        280        0         0        32        345       80           500             256        80             105                      105               110           128               0     0     0       1024  1024  1024       256     1         10         30         50          500        50         128           40            120          120       150       1        256           0     0       0            3      </param2>
            <param3>100      45          256       6          180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        3          5          768       0           192       190        168         9          103        90        128        64           213          55        180       100           35         60     130      200        50      150       255       255                   128       243          256       26          4         512        4        3        150          2               125        218          128       196        220       220         220      200        230          70             8         32        64       128        0      41       32         160       180        280        0         0        32        305       80          1000             256        80             105                      105               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        50         0             40            120          120       150       1        256           0     0       0            3      </param3>
            <param4>600      26          256       24         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        3          5          768       0           192       190        196         9          126        87        128        64           190          60        180       50            35         60     130      200        50      150       255       255                   128       210          256       26          4         768        4        3        150          2               125        218          256       196        220       220         220      200        230          70             8         32        128      256        0      41       32         160       180        280        0         0        32        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80         0             40            120          120       150       1        256           0     0       0            3      </param4>
            <param5>2000     26          256       48         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        3          5          768       0           192       200        196         9          126        87        128        64           190          95        180       100           35         60     130      200        50      150       255       255                   128       210          256       26          4         768        4        3        150          2               125        218          256       196        220       220         220      200        230          70             16        32        256      256        0      41       64         160       280        320        0         0        32        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80         0             40            120          120       150       1        256           0     0       0            3      </param5>
            <param6>9000     26          256       48         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        5          5          512       0           192       210        168        12          126        87        128        64           200         110        180       100           35         60     130      200        50      150       255       255                   128       210          256       26          4         256        4        3        150          2               125        218          256       196        220       220         190      200        230          70             16        64        256      256        0      41       64         320       320        320        0         0         0        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80         0             40            120          120       150       1        256           0     0       0            3      </param6>
            <param7>100000   26          256       48         180          32       512      4        2          4      150        10        204          256              140        64       400       550      2560       179         256        5          5          512       0           192       210        168        12          126        87        128        64           215         400        180       100           35         60     130      200        50      150       255       255                   128       210          256       26          4         256        4        3        150          2               125        218          128       196        220       220         190      200        230          70             16        64        256      256        0      41       64         320       320        320        0         0         0        245       80          1000             256        40             105                      115               110           192               0     0     0       1024  1024  1024       256     1         10         30         50          500        80         0             40            120          120       150       1        256           0     0       0            3      </param7>

            <scene0>3        0           0         0          0            0        0        0        0          0       0          0         0            0               0          0        0         0        0          0           0          0          0          0         0           0         0           0         0           0          0         0          0            -10           0         0         0            0          0      0         0         0         0       0         0                    0          0          256       0           0         0          0        0        -40          0               0          0             0         0          0         0           0        0           0            0              0          0        0        0          0       0       0          0          0          0          0         0        0         0          0            0              0          0               0                        0                 0             0               0     0     0          0     0     0        0       0          0         0          0           0          0         0             0              0            0         0        0         0            0     0       0            0      </scene0>

            <gain_estimated_max>12</gain_estimated_max> <!--[1, 50]-->

            <!-- lut[5]-->
            <!-- [0.f, 32.f]-->
            <gainlut0>0.0  5.7  8.2  11.8  13.8</gainlut0>
            <gainlut1>0.0  5.7  8.0  11.8  13.8</gainlut1>
            <gainlut2>0.0  5.0  8.0  12.0  14.0</gainlut2>
            <gainlut3>0.0  3.5  6.0  10.0  14.0</gainlut3>
            <gainlut4>0.0  3.0  6.0  9.0   14.0</gainlut4>
            <gainlut5>0.0  2.5  6.0  9.0   14.0</gainlut5>
            <gainlut6>0.0  2.5  6.0  9.0   14.0</gainlut6>
            <gainlut7>0.0  2.5  6.0  9.0   14.0</gainlut7>

        </params_sd0>
        <params_sd1>
            <sd_result>1</sd_result>
            <!-- light_lev luma_center  eps    eps_blur    eps_lap  eps_weight  min_size  gf_lev    r        r_gain  edge_thr edge_boxf_r plant_scale  bpv_scale  detail:gain_coff gain_min  gain_min2  gain_max gain_drc   global_min  global_max  th_low     th_high    str_low    str_high  hlr_alpha  hlr_center hlr_eps trust_min  weight_center  border     face   lime:gamma_low gamma_high gamma_min  center_low ups_interp      white_edge       upsample_de        bayer_pat_de     plant_de  background_de  face: luma_goal gamma_face bpv_factor face_eps    gf_max_r  std_scale  last_pyd_r  eps  gain_weight  erosion_r  body: luma_goal  gamma_body  bvp_factor re_scale     sky_goal  blue_goal gamma_sky gamma_blue night_scale   cloudy_th  retinex:r0        r1        r2       r3         r4      r5     eps0       eps1      eps2       eps3       eps4     eps5    minratio   maxratio face_recover DE_eps*100000.f  strength  surface_th   de_laplacian(+)*100   de_laplacia(-)*100   de_gaussian*100   gtm_reduce    blc_offset(rgb)      lsc_value_conner(rgb)  rlc_recover gf_r   gf_eps  hwp:th_high curve_shift ev:th_high curve_shift skin_de_str  sky_mean_low sky_mean_high  blue_low blue_high sf_switch edge_recover  res1  res2   gtm1_cale  lumamap_down -->
            <!--[0,1280000] [0,255]  [1, 65535] [1, 65535] [1, 65535] [1, 65535] [2, 512] [2, 4]   [2, 64]  [2, 64]   [0, 255]  [0, 64]   [0, 256]      [0, 256]         [0 512]   [0 4096] [0 4096]  [0 4096] [0 4096]    [0 256]      [0 256]   [0 255]   [0 255]     [0 1024]   [0 1024]    [0 256]   [0 255]   [1 256]   [0 256]      [0 256]   [0 256]    [0 256]      [0 256]      [0 256]   [0 2560]    [0 256]    [1 1000]    L[0 255] H[0 255]  L[0 256] H[0 256] L[0 256] H[0 256]  [0 255]    [0 255]            [0 256]    [0 256]     [0 256]   [1 256]     [0 32]    [0 2048]  [1 64]  [1 4096]  [0,256]      [1,64]          [0,256]    [0,256]      [0,256]    [0,256]     [0 256]   [0 256]    [0 256]   [0 256]      [0 256]   [0 255]        [4 512]   [0 512]   [0 512]   [0 512]   [0 512]  [0 512]  [1 4096]   [1 4096]  [1 4096]  [1 4096]   [1 4096]  [1 4096] [0 4096]  [0 4096]  [0 256]     [1 100000]      [0 256]    [0 256]          [100, 300]              [100, 300]        [100, 300]    [0, 256]          3[-1024,1024]             3[1, 16384]       [0, 1280]  [1 2] [1 65535]    [0 255]   [0 100]      [0 2000]   [0 100]    [0, 256]     [0, 256]     [0, 256]      [0, 500]  [0, 500]  [0, 1]    [0, 1280]     2[0 65535]  [0, 100]     [2, 3]     -->
            <param0>0        200         220       2          240          32       512      4        2          4       120        10        170          200              140        64       100       300      4096       204         204        3          10         256      1024        0         235        160       4           103        90        128        160            210          40        220       100               35         60     130      200        50      150     0        64                    160       230        256         26          4         256      4        3        100           2               125        218          128       196        235       230         243      230        230           70            16         64       128      256        0      41      8          16        32         64         000       000      256       512      256           100             256        80             105                      105               100           32            0     0     0             1024  1024  1024       256     1         10         30          0          500         0      256          40            120            120       150        1         256         0      0      0            3   </param0>
            <param1>5        180         220       2          240          32       512      4        2          4       120        10        170          220              140        64       100       300      4096       204         204        3          10         256      1024        0         220        168       8           103        90        128        170            210          45        200       100               35         60     130      200        50      150     0        64                    160       230        256         26          4         256      4        3        100           2               125        218          128       196        235       230         243      230        230           70            16         64       128      256        0      41      8          16        32         64         000       000      256       512      256           100             256        80             105                      105               100           32            0     0     0             1024  1024  1024       256     1         10         30          0          500         0      256          40            120            120       150        1         256         0      0      0            3   </param1>
            <param2>25       160         230       6          240          32       512      4        2          4       120        10        204          256              140        64       100       300      2560       204         204        3          10         256      1024        0         180        256       12          103        90        128        170            210          45        180       100               35         60     130      200        50      150     0        64                    160       230        256         26          4         256      4        3        100           2               125        218          128       196        235       230         237      220        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        345      152           100             256        80             105                      105               100           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        50      128          40            120            120       150        1         256         0      0      0            3   </param2>
            <param3>50       160         230       6          240          32       512      4        2          4       120        10        204          256              140        64       100       300      2560       180         204        3          10         512      1024        0         180        256       12          103        90        128        170            210          50        180       100               35         60     130      200        50      150     0        64                    160       230        256         26          4         256      4        3        100           2               125        218          128       196        230       220         230      205        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        345      152           100             256        80             105                      105               100           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        50      0            40            120            120       150        1         256         0      0      0            3   </param3>
            <param4>100      160         230       6          180          32       512      4        2          4       120        10        204          256              140        64       100       300      2560       180         204        3          10        1024      1024        0         180        256       12          103        90        128        170            210          60        180       100               35         60     130      200        50      150     0        64                    150       230        256         26          4         256      4        3        100           2               125        218          128       196        230       220         230      205        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        305      152           100             256        80             105                      105               100           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param4>
            <param5>600      160         230       6          180          32       512      4        2          4       120        10        204          256              140        64       300       500      2560       180         204        3          10        1024      1024        0         180        256       12          103        90        128        175            203          60        180       100               35         60     130      200        50      150     0        64                    150       230        256         26          4         256      4        3        120           2               125        218          128       196        230       220         230      205        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        305      152           500             256        80             105                      115               110           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param5>
            <param6>1200     160         230       12         180          32       512      4        2          4       120        10        204          256              140        64       450       600      2048       180         204        3          10        1024      1024        0         180        256       12          126        87        128        175            195          60        180       100               35         60     130      200        50      150     0        64                    150       220        256         26          4         256      4        3        120           2               125        218          128       196        230       220         230      205        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        245      095           500             256        40             105                      115               110           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param6>
            <param7>2000     180         230       24         180          32       512      4        2          4       120        10        204          256              140        64       450       600      2048       180         204        3          10        1024      1024        0         180        256       12          126        87        128        175            195          70        180       100               35         60     130      200        50      150     0        64                    150       220        256         26          4         256      4        3        120           2               125        218          128       196        220       220         190      200        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        245      095           500             256        40             105                      115               110           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param7>
            <param8>6000     200         230       24         180          32       512      4        2          4       120        10        204          256              140        64       450       600      2048       180         204        3          10        1024      1024        0         180        256       12          126        87        128        175            180          70        180       100               35         60     130      200        50      150     0        64                    150       220        256         26          4         256      4        3        120           2               125        218          128       196        220       220         190      200        230           70            16         64       128      256        0      41      8          16        32         64         000       000      32        245      095           500             256        40             105                      115               110           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param8>
            <param9>9000     250         230       24         180          32       512      4        2          4       150        10        204          256              140        64       450       600      2048       180         256        5          5          512      512         192       190        100       12          126        87        128        64             160          90        180       100               35         60     130      200        50      150     128      64                    128       243        256         26          4         256      4        3        130           2               125        218          128       196        220       220         190      179        230           70            16         64       128      256        0      41      16         320       320        320        000       000       0        245      120           500             256        40             105                      115               110           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param9>
            <param10>100000  250         230       24         180          32       512      4        2          4       150        10        204          256              140        64       450       600      2048       180         256        5          5          512      512         192       190        100       12          126        87        128        64             110         400        180       100               35         60     130      200        50      150     128      64                    128       243        256         26          4         256      4        3        130           2               125        218          128       196        220       220         190      179        230           70            16         64       128      256        0      41      16         320       320        320        000       000       0        245      82            500             256        40             105                      115               110           32            0     0     0             1024  1024  1024       256     1         10         30         50          500        80      0            40            120            120       150        1         256         0      0      0            3   </param10>

            <scene0>3        0           0         0          0            0        0        0        0          0       0          0         0            0                 0          0        0         0        0          0           0         0          0          0         0           0         0          0         0           0          0         0          0             -10           0         0         0                0          0      0         0         0        0      0        0                      0          0          0          0          0         0        0        0        -40           0               0          0            0          0          0         0           0        0          0            0              0          0        0        0          0      0       0          0          0          0          0         0        0         0        0           0               0          0                0                       0                 0             0            0     0     0                0     0     0       0       0          0         0          0           0           0      0            0              0              0         0         0          0          0      0      0            0   </scene0>
            <scene1>6        0           0         0          0            0        0        0        0          0       0          0         0            0                 0          0        0         0        0          0           0         0          0          0         0           0         0          0         0           0          0         0          0              -5           0         0         0                0          0      0         0         0        0      0        0                      0          0          0          0          0         0        0        0          0           0               0          0            0          0          0         0           0        0          0            0              0          0        0        0          0      0       0          0          0          0          0         0        0         0        0           0               0          0                0                       0                 0             0            0     0     0                0     0     0       0       0          0         0          0           0           0      0            0              0              0         0         0          0          0      0      0            0   </scene1>

            <gain_estimated_max>12</gain_estimated_max> <!--[1, 50]-->

            <!-- lut[5]-->
            <!-- [0.f, 32.f]-->
            <gainlut0>0.0  5.7  8.2  11.8  13.8</gainlut0>
            <gainlut1>0.0  5.7  8.0  11.8  13.8</gainlut1>
            <gainlut2>0.0  5.0  8.0  12.0  14.0</gainlut2>
            <gainlut3>0.0  3.5  6.0  10.0  14.0</gainlut3>
            <gainlut4>0.0  2.0  4.0  9.0   14.0</gainlut4>
            <gainlut5>0.0  2.0  4.0  9.0   14.0</gainlut5>
            <gainlut6>0.0  2.0  4.0  9.0   14.0</gainlut6>
            <gainlut7>0.0  2.0  4.0  9.0   14.0</gainlut7>
            <gainlut8>0.0  2.0  4.0  9.0   14.0</gainlut8>
            <gainlut9>0.0  2.0  4.0  9.0   14.0</gainlut9>
            <gainlut10>0.0 2.0  4.0  9.0   14.0</gainlut10>
        </params_sd1>
        <night_sky>
            <param0>1200 128 170 256 256 85 90</param0>
            <param1>2000 128 170 256 256 85 90</param1>
            <param2>6000 128 170 256 256 85 90</param2>
            <param3>9000 128 170 256 256 85 90</param3>
        </night_sky>
    </HDR>

    <RAWNR>
        <NOISE_PROFILE>
            <K_A>0.00075876</K_A><!--[0, 1.0]-->
            <K_B>0.00000000</K_B><!--[0, 1.0]-->
            <B_A>0.00000126</B_A><!--[0, 1.0]-->
            <B_B>0.00101082</B_B><!--[0, 1.0]-->

            <BLC>16</BLC><!--[0, 64]-->

            <LAYER0_NOISE_SCALE>800 1200 0.95 0.65     </LAYER0_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->
            <LAYER1_NOISE_SCALE>800 1200 0.25 0.15     </LAYER1_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->
            <LAYER2_NOISE_SCALE>800 1200 0.0625 0.0625</LAYER2_NOISE_SCALE> <!-- 2ISO 2nrs--><!--ISO[0, 6400]--><!--nrs[0, 1.0]-->

            <TUNING_DARK_NOISE>50 200 1.0 1.0  16 20 </TUNING_DARK_NOISE><!-- 2ISO 2nrs 2luma--><!--ISO[0, 6400]--><!--nrs[0, 1.5]--><!--luma[0, 64]-->
        </NOISE_PROFILE>

              <!--     /exp0   exp1   exp2 /iso0 iso1 iso2 iso3 iso4 iso5 iso6 iso7 iso8 iso9    -->
              <!--     3[50,5000]          8[0,15000]                                    -->
        <ISO_SECTIONS> 5000   1000   200   50   100  200  400  700  1000 1600 2500 3200 6400</ISO_SECTIONS>

        <NLM>
            <param_size>30</param_size>
            <Layer0>
                <!--    /gradation_nr_4     /luma_nr_4         /luma_sub_4         /face_details_8                            /varY_nr_4        /l_ghostG_nr_4        -->
                <!--                                                               2hue     1nonFaceW 4detailsTH  3nrs                                                -->
                <!--   2[0,255] 2[0,3.5]    2[0,255] 2[0,3.5]       2[0,255] 2[0,128]  2[0,255] [0,2]     4[0,255]    3[0~3.5] 2[0,255]  2[0,4]    2[0,1023]  2[0,4]  -->
                <exp0>  52  120 1.5 1.2    22 32    1.3 1.2     25 42    38 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</exp0>
                <exp1>  52  120 1.5 1.2    22 32    1.3 1.2     25 42    38 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</exp1>
                <exp2>  52  120 1.5 1.2    22 32    1.3 1.2     25 42    38 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</exp2>
                <iso0>  52  120 1.5 1.0    22 32    1.3 1.2     25 42    38 49     164 240  1.0       0 25 60 120 2.5 1.0 2.5   230 255   1.0 3.5   700 1023  1.0 3.5</iso0>
                <iso1>  62  120 1.5 1.0    22 32    1.3 1.2     25 42    38 49     164 240  1.0       0 25 60 120 3.2 1.0 3.2   230 255   1.0 3.5   700 1023  1.0 3.5</iso1>
                <iso2>  62  120 1.5 1.0    22 32    1.1 1.2     25 42    41 49     164 240  1.0       0 25 60 120 2.5 1.0 2.5   230 255   1.0 3.5   700 1023  1.0 3.5</iso2>
                <iso3>  62  120 1.5 1.0    16 32    1.0 1.1     25 42    41 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso3>
                <iso4>  62  120 1.5 1.0    16 32    1.0 1.1     25 42    41 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso4>
                <iso5>  62  120 1.5 1.0    16 32    1.0 1.1     25 42    41 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso5>
                <iso6>  62  120 1.5 1.0    16 32    1.0 1.1     25 42    49 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso6>
                <iso7>  62  120 1.5 1.0    16 32    1.0 1.0     25 42    49 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso7>
                <iso8>  62  120 1.5 1.0    16 32    1.0 1.0     25 42    49 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso8>
                <iso9>  62  120 1.5 1.0    16 32    1.0 1.0     25 42    49 49     164 240  1.0       0 25 60 120 2.0 1.0 2.0   230 255   1.0 3.5   700 1023  1.0 3.5</iso9>
            </Layer0>
            <Layer1>
                <!--    /gradation_nr_4     /luma_nr_4         /luma_sub_4         /face_details_8                            /varY_nr_4        /l_ghostG_nr_4        -->
                <!--                                                               2hue     1nonFaceW 4detailsTH  3nrs                                                -->
                <!--   2[0,255] 2[0,3.5]    2[0,255] 2[0,3.5]       2[0,255] 2[0,128]  2[0,255] [0,2]     4[0,255]    3[0~3.5] 2[0,255]  2[0,4]    2[0,1023]  2[0,4]  -->
                <exp0>  52  120 3.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 2.5 1.0 2.5   230 255   1.0 1.0  700 1023  1.0 1.0</exp0>
                <exp1>  52  120 3.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 2.5 1.0 2.5   230 255   1.0 1.0  700 1023  1.0 1.0</exp1>
                <exp2>  52  120 3.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 2.5 1.0 2.5   230 255   1.0 1.0  700 1023  1.0 1.0</exp2>
                <iso0>  52  120 3.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 2.0 1.0 2.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso0>
                <iso1>  52  120 3.5 1.0    22 50    3.0 3.0    25 42     49 49     168 240  1.0       0 25 50 100 2.0 1.0 3.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso1>
                <iso2>  62  120 3.5 1.0    22 60    3.0 3.0    25 42     49 49     168 240  1.0       0 25 50 100 2.0 1.0 2.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso2>
                <iso3>  62  120 3.5 1.0    22 60    3.0 3.0    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso3>
                <iso4>  62  120 2.5 1.0    22 60    3.3 3.3    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso4>
                <iso5>  62  120 2.5 1.0    20 25    3.3 3.3    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso5>
                <iso6>  62  120 2.5 1.0    16 25    3.3 3.3    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso6>
                <iso7>  62  120 2.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso7>
                <iso8>  62  120 2.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso8>
                <iso9>  62  120 2.5 1.0    16 25    3.5 3.5    25 42     49 49     168 240  1.0       0 25 50 100 1.5 1.0 1.5   230 255   1.0 1.0  700 1023  1.0 1.0</iso9>
            </Layer1>
            <Layer2>
                <!--    /gradation_nr_4     /luma_nr_4         /luma_sub_4         /face_details_8                            /varY_nr_4        /l_ghostG_nr_4        -->
                <!--                                                               2hue     1nonFaceW 4detailsTH  3nrs                                                -->
                <!--   2[0,255] 2[0,3.5]    2[0,255] 2[0,3.5]       2[0,255] 2[0,128]  2[0,255] [0,2]     4[0,255]    3[0~3.5] 2[0,255]  2[0,4]    2[0,1023]  2[0,4]  -->
                <exp0>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     32 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</exp0>
                <exp1>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     32 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</exp1>
                <exp2>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     32 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</exp2>
                <iso0>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     32 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso0>
                <iso1>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     32 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso1>
                <iso2>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso2>
                <iso3>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso3>
                <iso4>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso4>
                <iso5>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso5>
                <iso6>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso6>
                <iso7>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso7>
                <iso8>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso8>
                <iso9>  60  120 2.0 1.0    16 32    1.2 1.2    25 42     41 49     128 200  1.0      15 25 32 100 1.0 1.0 1.0   230 255   1.0 1.0  700 1023  1.0 1.0</iso9>
            </Layer2>
        </NLM>
        <SKIN_TH>
            <!--   /skin_th           /avghue_th  /faceHueM /hue_range   /face_rect_ratio  /center_hue  /center_cr /Cr_scale /hue_range_sc   /Cr_range_sc  /hist_weight_sc  -->
            <!--   4th_ratio                                low high                                                                                                        -->
            <!--   4[0,1.0]            [0,255]     [0,255]  2[0,255]      2[0,255] 2[0,1]     [0,255]    [128,255]   [0,255]   4[0,255]       4[0,255]      4[0,255]        -->
            <exp0> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </exp0>
            <exp1> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </exp1>
            <exp2> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </exp2>
            <iso0> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60    10 16 10 16 </iso0>
            <iso1> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     3 16  3 16 </iso1>
            <iso2> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso2>
            <iso3> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso3>
            <iso4> 0.2 0.75 0.85  1.0  160         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso4>
            <iso5> 0.2 0.75 0.85  1.0  150         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso5>
            <iso6> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso6>
            <iso7> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso7>
            <iso8> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso8>
            <iso9> 0.2 0.75 0.85  1.0  140         230       30 140      50 170   0.85 1.0       0          160        10    4 16 55 45    150 200 40 60     0 16  0 16 </iso9>
        </SKIN_TH>
        <DetailAddBack>
            <param_size>47</param_size>
            <Layer0>
                <CurrentLayer>
                    <!--  /weak detail sensor        /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y4  /weight_for_detail_region_y5          /weight_c_depend_on_y  /weight_d_depend_on_y  /weight_depend_on_ghost7                         /weight_depend_on_skin_1L3 /weight_depend_on_var /gf_kernel3      /sub_noise      /noise_shift-->
                    <!--   2var 2w                   4 th                   2 th                    l_min  l_max  2 weight 1scale     l_min  l_max  3 weight      1scale     weight                   weight               2detail_th  2ghost_th  nonG sd  wd    1scale    nonFace     Face           2var 2w               k       LF  HF   2detail 2subn               -->
                    <!--   2[0,255]  2[0,1.0]        4[0,255]               2[0,255]                2[0,255]     2[0,1.0]  1[0,4]    2[0,255]      3[0,2.0]       1[0,4]    [0,2.0]                   [0,2.0]               2[0,255]  2[0,255]    3[0,2.0]       1[0,1.0]   3[0,2.0]                 2[0,255] 2[0,1.0]       1[0~15] 2[0,2.0]  2[0,64] 2[1,8] 1[-4~6]-->
                    <exp0> 7 15      0.08 0.15       35 49 70 90            10 25                   20    40     0.25 0.15 1.3        30     55     0.65 0.6  1.5  1.2         0.9                      0.9                   70 150      110 160    1.0  0.6 0.5  0.5       1.0    0.8  0.7          60  160 1.0 0.9        8       1.0 0.8    32 40 1.5 6     4   1.0</exp0>
                    <exp1> 7 15      0.08 0.15       35 49 70 90            10 25                   20    40     0.25 0.15 1.3        30     55     0.65 0.6  1.5  1.2         0.9                      0.9                   70 150      110 160    1.0  0.6 0.5  0.5       1.0    0.8  0.7          60  160 1.0 0.9        8       1.0 0.8    32 40 1.5 6     4   1.0</exp1>
                    <exp2> 7 15      0.08 0.15       35 49 60 80            10 25                   20    40     0.25 0.15 1.3        25     40     0.65 0.6  1.5  1.2         0.9                      0.9                   70 150      110 160    1.0  0.6 0.6  0.5       1.0    0.8  0.7          60  160 1.0 0.9        8       1.0 0.8    32 40 1.5 6     4   1.0</exp2>
                    <iso0> 7 15      0.08 0.15       35 49 60 75            10 25                   20    40     0.25 0.15 1.3        22     40     0.65 0.6  1.5  1.2         0.8                      0.8                   70 150      110 160    1.0  0.6 0.6  0.5       1.0    0.8  0.7          60  160 1.0 0.9        8       1.0 0.8    32 40 1.5 6     4   1.0</iso0>
                    <iso1> 7 15      0.08 0.15       35 49 60 75            12 25                   20    35     0.25 0.3  1.0        22     40     0.55 0.6  1.5  1.0         0.7                      0.6                   70 200      100 160    1.0  0.4 0.6  1.0       1.0    0.8  0.7          60  160 1.0 0.9        8       0.9 0.8    32 40 1.5 6     4   1.0</iso1>
                    <iso2> 7 15      0.08 0.15       32 45 50 75            12 25                   17    23     0.25 0.25 1.0        22     40     0.55 0.45 1.5  1.0         0.7                      0.6                   70 200      100 160    1.0  0.4 0.6  1.0       1.0    0.8  0.8          60  160 1.0 0.9        8       0.9  0.7   32 40 1.5 6     3   1.0</iso2>
                    <iso3> 7 15      0.08 0.15       32 45 50 75            12 25                   17    23     0.25 0.25 1.0        22     40     0.55 0.4  1.4  1.0         0.7                      0.5                   70 200      100 160    1.0  0.4 0.5  1.0       1.0    0.8  0.8          60  160 1.0 0.9        7       0.9  0.7   32 40 1.5 6     2   1.0</iso3>
                    <iso4> 7 15      0.08 0.15       32 45 50 75            12 25                   17    23     0.25 0.25 1.0        22     40     0.6  0.5  1.4  1.0         0.7                      0.5                   70 200      100 160    1.0  0.4 0.4  1.0       1.0    0.8  0.8          60  160 1.0 0.9        7       0.9  0.7   32 40 1.5 6     1   1.0</iso4>
                    <iso5> 7 15      0.08 0.15       30 45 50 65            10 22                   17    23     0.25 0.25 1.0        22     40     0.65 0.55 1.4  1.0         0.4                      0.4                   70 200      100 160    1.0  0.4 0.4  1.0       1.0    0.8  0.8          60  160 1.0 0.9        9       0.95 0.7   32 40 1.5 6     0   1.0</iso5>
                    <iso6> 7 15      0.08 0.15       30 45 50 65            10 22                   17    23     0.25 0.35 1.0        22     40     0.7  0.6  1.5  1.0         0.4                      0.4                   70 200      100 160    1.0  0.4 0.4  1.0       1.0    0.8  0.8          60  160 1.0 0.9        11      0.85 0.6   32 40 1.5 6     -1  1.0</iso6>
                    <iso7> 7 15      0.08 0.15       30 45 50 65            10 22                   17    23     0.25 0.35 1.0        22     40     0.75 0.65 1.5  1.0         0.4                      0.4                   70 200      100 160    1.0  0.4 0.4  1.0       1.0    0.8  0.8          60  160 1.0 0.9        11      0.85 0.6   32 40 1.5 6     -2  1.0</iso7>
                    <iso8> 7 15      0.08 0.15       30 45 50 65            10 22                   17    23     0.25 0.35 1.0        22     40     0.75 0.65 1.5  1.0         0.4                      0.4                   70 200      100 160    1.0  0.4 0.4  1.0       1.0    0.8  0.8          60  160 1.0 0.9        11      0.85 0.6   32 40 1.5 6     -2  1.0</iso8>
                    <iso9> 7 15      0.08 0.15       30 45 50 65            10 22                   17    23     0.25 0.35 1.0        22     40     0.75 0.65 1.5  1.0         0.4                      0.4                   70 200      100 160    1.0  0.4 0.4  1.0       1.0    0.8  0.8          60  160 1.0 0.9        11      0.85 0.6   32 40 1.5 6     -2  1.0</iso9>
                </CurrentLayer>
            </Layer0>
            <Layer1>
                <CurrentLayer>
                    <!--  /weak detail sensor   /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y7  /weight_for_detail_region_y8          /weight_c_depend_on_y4  /weight_d_depend_on_y4  /weight_depend_on_ghost7                            /weight_depend_on_skin_1L3 /weight_depend_on_var  /gf_kernel6  /sub_noise     /noise_shift-->
                    <!--   2var 2w              4 th                  2 th                    l_min  l_max  2 weight   1scale     l_min  l_max  3 weight       1scale  weight                   weight                   2detail_th  2ghost_th  nonG sd  wd   1scale       nonFace     Face          2var 2w                k  LF  HF   2detail 2subn              -->
                    <exp0> 12 25 0.08 0.15       35 49 70 90            10 25                   20    40     0.9  1.0  1.5        30     55     1.6  1.0 1.5  1.5       0.9                     1.0                     40 100      110 180    1.0  0.7 0.8 0.8          1.0    0.9  0.9            60 160 1.0 0.9        6  1.0 1.0  32 40 6.5 6     5  1.0</exp0>
                    <exp1> 12 25 0.08 0.15       35 49 70 90            10 25                   20    40     0.9  1.0  1.5        30     55     1.6  1.0 1.5  1.5       0.9                     1.0                     40 100      110 180    1.0  0.7 0.8 0.8          1.0    0.9  0.9            60 160 1.0 0.9        6  1.0 1.0  32 40 6.5 6     5  1.0</exp1>
                    <exp2> 12 25 0.08 0.15       35 49 60 80            10 25                   20    40     0.9  1.0  1.5        25     40     1.6  1.0 1.5  1.5       0.9                     1.0                     40 100      110 180    1.0  0.7 0.8 0.8          1.0    0.9  0.9            60 160 1.0 0.9        6  1.0 1.0  32 40 6.5 6     5  1.0</exp2>
                    <iso0> 12 25 0.08 0.15       35 49 60 75            10 25                   20    40     0.7  0.8  1.5        20     35     1.6  1.0 1.5  1.0       0.9                     0.9                     40 100      110 180    1.0  0.7 0.8 0.8          1.0    0.9  0.9            11  25 1.0 1.1        8  1.0 1.0  32 40 6.0 6     5  1.0</iso0>
                    <iso1> 9  20 0.08 0.15       35 49 60 75            10 25                   20    35     0.45 0.7  1.0        20     35     1.5  0.9 1.5  1.0       0.9                     0.7                     40 95       100 180    1.0  0.7 0.8 1.0          1.0    0.9  1.0            11  25 1.0 1.2        8  1.0 1.0  32 40 5.5 6     5  1.0</iso1>
                    <iso2> 7  15 0.08 0.15       32 45 50 75            10 25                   18    25     0.45 0.5  1.0        16     25     1.5  0.9 1.4  1.0       0.9                     0.7                     40 84       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            11  25 1.0 1.2        8  1.0 1.0  32 40 5.5 6     5  1.0</iso2>
                    <iso3> 7  15 0.08 0.15       32 45 50 75            10 25                   18    25     0.45 0.5  1.0        16     22     1.5  0.9 1.4  1.0       0.6                     0.7                     40 85       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.2        8  1.0 1.0  32 40 5.5 6     5  1.0</iso3>
                    <iso4> 7  15 0.08 0.15       32 45 50 70            10 25                   18    25     0.35 0.4  1.0        16     22     1.6  0.9 1.5  1.0       0.6                     0.7                     40 82       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.2        8  1.0 1.0  32 40 5.5 6     4  1.0</iso4>
                    <iso5> 7  15 0.08 0.15       30 45 50 65            10 25                   18    25     0.25 0.35 1.0        16     22     1.6  0.9 1.5  1.0       0.6                     0.7                     40 80       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.3        7  1.0 1.0  32 40 5.5 6     2  1.0</iso5>
                    <iso6> 7  15 0.08 0.15       30 45 50 65            8  25                   18    25     0.25 0.35 1.0        16     20     1.7  0.9 1.6  1.0       0.6                     0.7                     40 80       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.3        7  1.0 0.9  32 40 5.5 6     0  1.0</iso6>
                    <iso7> 7  15 0.08 0.15       30 45 50 65            8  25                   18    25     0.25 0.35 1.0        16     20     1.8  0.9 1.6  1.0       0.5                     0.65                    40 80       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.3        7  1.0 0.9  32 40 5.5 6     0  1.0</iso7>
                    <iso8> 7  15 0.08 0.15       30 45 50 65            8  25                   18    25     0.85 0.85 1.0        16     20     1.8  0.9 1.6  1.0       0.5                     0.65                    40 80       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.3        7  1.0 0.9  32 40 5.5 6     -1 1.0</iso8>
                    <iso9> 7  15 0.08 0.15       30 45 50 65            8  25                   18    25     0.85 0.85 1.0        16     20     1.8  0.9 1.6  1.0       0.5                     0.65                    40 80       100 180    1.0  0.7 0.8 1.0          1.0    1.0  1.2            10  25 1.0 1.3        7  1.0 0.9  32 40 5.5 6     -1 1.0</iso9>
                </CurrentLayer>

            </Layer1>
            <Layer2>
                <CurrentLayer>
                    <!--  /weak detail sensor  /weak_cpl_detail_th_4  /strong_cpl_detail_th2  /weight_for_non_detail_region_y7  /weight_for_detail_region_y8           /weight_c_depend_on_y4  /weight_d_depend_on_y4  /weight_depend_on_ghost7                            /weight_depend_on_skin_1L3 /weight_depend_on_var     /gf_kernel6 /sub_noise    /noise_shift -->
                    <!--   2var 2w             4 th                  2 th                    l_min  l_max  2 weight   1scale     l_min  l_max  3 weight        1scale       weight                   weight                  2detail_th  2ghost_th  nonG sd  wd   1scale    nonFace     Face            2var 2w                 k  LF  HF    2detail 2subn              -->
                    <exp0> 7 15 0.08 0.15      30 40 45 60            10 25                   20     35    0.4  0.6    1.5       16     20     1.0  1.0  1.0   1.0           1.0                     1.0                     40 100      110 180    1.0  0.6 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          6  1.0 1.0  32 40 1.5 6   6 1.0</exp0>
                    <exp1> 7 15 0.08 0.15      30 40 45 60            10 25                   20     35    0.4  0.6    1.5       16     20     1.0  1.0  1.0   1.0           1.0                     1.0                     40 100      110 180    1.0  0.6 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          6  1.0 1.0  32 40 1.5 6   6 1.0</exp1>
                    <exp2> 7 15 0.08 0.15      30 40 45 60            10 25                   20     35    0.3  0.5    1.5       16     20     1.0  1.0  1.0   1.0           1.0                     1.0                     40 100      110 180    1.0  0.6 0.7  1.0       1.0    1.0 1.0               60 168 1.0 0.9          6  1.0 1.0  32 40 1.5 6   6 1.0</exp2>
                    <iso0> 7 15 0.08 0.15      30 40 45 65            10 25                   20     35    0.3  0.5    1.5       16     27     1.0  1.0  1.0   1.0           0.8                     0.9                     40 100      110 180    1.0  0.6 0.7  1.0       1.0    1.0 1.0               11  35 1.0 1.2          7  1.0 1.0  32 40 1.5 6   6 1.0</iso0>
                    <iso1> 7 15 0.08 0.15      30 40 45 65            14 24                   20     35    0.3  0.5    1.0       16     25     0.9  1.0  0.9   1.0           0.7                     0.8                     40 95       100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               11  35 1.0 1.2          7  1.0 1.0  32 40 1.5 6   6 1.0</iso1>
                    <iso2> 7 15 0.08 0.15      30 42 45 65            14 24                   20     32    0.3  0.5    1.0       16     22     1.00 1.0  0.9   1.0           0.6                     0.6                     40 84       100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               11  35 1.0 1.2          7  1.0 1.0  32 40 1.5 6   6 1.0</iso2>
                    <iso3> 7 15 0.08 0.15      30 42 45 65            14 24                   20     32    0.3  0.4    1.0       16     22     1.00 1.1  0.9   1.0           0.4                     0.5                     40 85       100 180    1.0  0.4 0.7  1.0       1.0    1.0 1.0               11  35 1.0 1.2          8  1.0 1.0  32 40 1.5 6   6 1.0</iso3>
                    <iso4> 7 15 0.08 0.15      30 42 45 65            12 25                   17     25    0.25 0.35   1.0       16     19     1.00 1.1  0.9   1.0           0.4                     0.5                     40 82       100 180    1.0  0.5 0.7  1.0       1.0    1.1 1.1               11  35 1.0 1.2          8  1.0 1.0  32 40 1.5 6   5 1.0</iso4>
                    <iso5> 7 15 0.08 0.15      30 42 45 65            10 25                   17     25    0.15 0.35   1.0       16     19     1.0  1.1  1.0   1.0           0.5                     0.8                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               11  35 1.0 1.2          7  1.0 1.0  32 40 1.5 6   3 1.0</iso5>
                    <iso6> 7 15 0.08 0.15      30 42 50 65            10 25                   17     25    0.1  0.25   1.0       16     20     1.0  1.1  1.0   1.0           0.35                    0.6                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               11  35 1.0 1.2          8  1.0 1.0  32 40 1.5 6   1 1.0</iso6>
                    <iso7> 7 15 0.08 0.15      30 42 50 65            10 25                   17     25    0.1  0.25   1.0       16     20     1.00 1.1  1.0   1.0           0.35                    0.6                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               11  35 1.0 1.2          8  1.0 1.0  32 40 1.5 6   0 1.0</iso7>
                    <iso8> 7 15 0.08 0.15      30 42 50 65            10 25                   17     25    0.1  0.25   1.0       16     20     1.00 1.1  1.0   1.0           0.35                    0.6                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               11  35 1.0 1.2          8  1.0 1.0  32 40 1.5 6   0 1.0</iso8>
                    <iso9> 7 15 0.08 0.15      30 42 50 65            10 25                   17     25    0.1  0.25   1.0       16     20     1.00 1.1  1.0   1.0           0.35                    0.6                     40 80       100 180    1.0  0.7 0.7  1.0       1.0    1.1 1.1               11  35 1.0 1.2          8  1.0 1.0  32 40 1.5 6   0 1.0</iso9>
                </CurrentLayer>
            </Layer2>
        </DetailAddBack>

        <append_params>
            <crossArtifactsRemoval>
                <weight_removal_0> 700 2000 5000  15000   5    5    7      </weight_removal_0> <!-- 4ISO 3wr0--><!--ISO[0, 20000] --><!--wr0[0, 255]-->
                <weight_removal_1> 700 2000 5000  15000   10   12   16     </weight_removal_1> <!-- 4ISO 3wr1--><!--ISO[0, 20000] --><!--wr1[0, 255]-->
                <weight_removal_2> 700 2000 5000  15000   6    25   32     </weight_removal_2> <!-- 4ISO 3wr2--><!--ISO[0, 20000] --><!--wr2[0, 32]-->
                <weight_removal_3> 700 2000 5000  15000   0    9    9      </weight_removal_3> <!-- 4ISO 3wr3--><!--ISO[0, 20000] --><!--wr3[0, 32]-->
                <gauss_sigma>      700 2000 3000  15000  0.4  0.65  0.85   </gauss_sigma>      <!-- 4ISO 3gsigma --><!--ISO[0, 20000] --><!--gsigma[0, 5]-->
            </crossArtifactsRemoval>
        </append_params>

        <lanczos_de>
            <!--    detail_read                luma               skin                              -->
            <!--    detail nondetail detail    dark light         nonFace  Face                     -->
            <!--    4[0,255]     3[0,512]     2[0,255] 2[0,512]   4[0,255]        3[0,512]          -->
            <exp0>   8 13 50 60  204 64 110    16 32  230 250     10 100 150 200  256 128 100   </exp0>
            <exp1>   8 13 50 60  204 64 110    16 32  230 250     10 100 150 200  256 128 100   </exp1>
            <exp2>   8 13 50 60  204 64 110    16 32  230 250     10 100 150 200  256 128 100   </exp2>
            <iso0>  10 15 40 50  204 64 110    16 32  230 250     10 100 150 200  256 256 256   </iso0>
            <iso1>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso1>
            <iso2>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso2>
            <iso3>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso3>
            <iso4>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso4>
            <iso5>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso5>
            <iso6>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso6>
            <iso7>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso7>
            <iso8>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso8>
            <iso9>  18 25 40 50  256 64 256    16 32  256 256     10 100 150 200  256 256 256   </iso9>
        </lanczos_de>
        <DpcRawnr>
            <dpcc_on_off>1</dpcc_on_off> <!-- 0 off, 1 on -->
            <LV_th> 5 </LV_th> <!-- [0,255] -->
            <box_radius>2</box_radius> <!-- [1,10] -->
            <iso>                 100   800   1600   3200   6400   </iso> <!-- iso threshold [0, 1280000] -->
            <varY_th>             10    10    10     10     15     </varY_th> <!-- [0,255] -->
            <stdY_th>             11    11    11     11     20     </stdY_th> <!-- [0,255] -->
            <sad_neibr_count_th>  7     7     7      7      7      </sad_neibr_count_th> <!-- [0,255] -->
            <sad_total_count_th>  46    46    46     46     46     </sad_total_count_th> <!-- [0,255] -->
            <sad_neibr_scale>     70    70    70     70     70     </sad_neibr_scale> <!-- [0,255] -->
            <sad_total_scale>     64    64    64     64     64     </sad_total_scale> <!-- [0,255] -->
            <line_sensor_scale>   3     12    12     12     20     </line_sensor_scale> <!-- [0,255] -->
            <dpc_detail_min>      19    19    19     19     22     </dpc_detail_min> <!-- [0,255] -->
            <dpc_detail_max>      35    35    35     35     45     </dpc_detail_max> <!-- [0,255] -->
        </DpcRawnr>
    </RAWNR>

    <CE>
        <!-- light_lev min_drc_gain max_drc_gain min_ce_gain max_ce_gain min_uv_value max_uv_value min_y_value max_y_value min_face_hue max_face_hue min_face_gain max_face_gain sky_region sky_gain         h_target                  s_target-->
        <!-- [0, 65535]  [0,255]      [0,255]      [1,255]      [1,255]      [1,128]      [1,128]    [0,255]      [0,255]      [0,255]      [0,255]      [0,32]       [0,32]     [0,255]    [0,255]   [0,255] [0,255] [0,255]   [0,255] [0,255] [0,255]-->
        <param0>   1       32           100           1            64           30           60         40           60          132          140           0           32         25          0         120     155    180       20      100     120</param0>
        <param1>  10       32           100           1            32           30           60         40           60          132          140           0           32         25          0         120     155    180       20      100     120</param1>
        <param2> 100       32           100           1            1            30           60         40           60          132          140           0           32         25          0         120     155    180       20      100     120</param2>
        <param3> 200       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param3>
        <param4> 800       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param4>
        <param5>1600       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param5>
        <param6>3200       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param6>
        <param7>6400       32           100           1            1            30           60         40           60          132          140           0           32         128         0         120     155    180       20      100     120</param7>
    </CE>

    <DE>
        <!--      ISO       gain        y_min        y_max        var_min      var_max  mask_sacle  -->
        <!-- [50, 51200]  [0,256]      [0,255]      [0,255]      [0,255]      [0,255]     [0,256]  -->
        <param0>  50       32           140           190          20           40         64      </param0>
        <param1> 100       32           140           190          60          100         64      </param1>
        <param2> 200       32           140           190          60          100         64      </param2>
        <param3> 300       32           140           190          60          100         64      </param3>
        <param4> 400        0           140           190          60          100         64      </param4>
        <param5>1000        0           140           190          60          100         64      </param5>
        <param6>3200        0           140           190          60          100         64      </param6>
        <param7>6400        0           140           190          60          100         64      </param7>
    </DE>

    <SkinSmooth>
        <params_sd0>
             <sd_result>0</sd_result>
              <!--       light_lev         beta*100    weight_good  high_pass_r     high_pass_eps*10000    high_pass_r2     high_pass_eps2         bwp_gf_r      bwp_gf_eps    bwp_a0    bwp_b0*100     bwp_c0       bwp_d0       gf_r_1     gf_eps_1     gf_r_2     gf_eps_2    k_size_1    sigma_1*10   ao_gf_r     ao_gf_eps  Ao_CLIP_TH_1 Ao_CLIP_TH_2  Ao_CLIP_TH_3 Ao_CLIP_TH_4 Ao_CLIP_TH_5   ao_ww_1*10   ao_ww_2     ao_ww_3    ao_ww_4   ao_ww_5    k_size_2   sigma_2*10    ad_gf_r    ad_gf_eps    Ad_CLIP_TH_1  Ad_CLIP_TH_2 Ad_CLIP_TH_3   Ad_CLIP_TH_4    Ad_CLIP_TH_5   ad_ww_1*10  ad_ww_2   ad_ww_3   ad_ww_4    ad_ww_5    ab_gf_r   ab_eps*10000     min_thresh_eyedis    max_thresh_eyedis      man_beauty*256    skin_smooth_level             -->
              <!--        [0, 65535]      [100,1000]    [0, 256]       [2, 24]          [1,10000]           [1, 4]          [1,10000]              [1, 4]       [1,10000]    [0, 100]   [0, 100]     [0, 100]     [0, 100]      [2, 16]    [1,10000]     [1, 4]    [1,10000]   [2, 24]      [20,100]    [2, 20]     [1,10000]      [0,128]      [0,128]       [0,128]      [0,128]      [0,128]     [0, 1000]   [0, 1000]   [0, 1000]  [0, 1000]  [0, 1000]  [1, 20]    [20, 100]     [1, 4]     [1,10000]     [0,128]       [0,128]      [0,128]        [0,128]         [0,128]        [0,1000]  [0,1000]  [0,1000]   [0,1000]   [0,1000]   [2, 8]   [1,10000]             [0,10000]           [0,10000]             [0,1024]              [0,256]                     -->
             <param0>       1               175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param0>
             <param1>       50              175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param1>
             <param2>       100             175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param2>
             <param3>       200             175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                  </param3>
             <param4>       800             175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           5            5             5            5            5          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         10         10         10         6           100                 7                 77                    256                   180                   </param4>
             <param5>       1600            175           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   256                   </param5>
             <param6>       3200            150           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   200                   </param6>
             <param7>       6400            150           200            16              81                    4                  81                  4             50          50         20            20          35              16       300            2         300         21           50           8          100           2            2             2            2            2          10           12         10          12        10         5           40           2            200           25            25           25             25              6               6          6         5          5          10         6           100                 7                 77                    256                   200                   </param7>

        </params_sd0>
    </SkinSmooth>

    <RAW2YUV>
        <raw_bit_width>12</raw_bit_width>
        <raw2yuv_mode>2</raw2yuv_mode>
        <rawnf>
            <bypass>1</bypass>
        </rawnf>
        <de>
            <bypass>1</bypass>
        </de>
        <drc>
            <bypass>0</bypass>
        </drc>
        <lsc>
            <bypass>0</bypass>
        </lsc>
        <yuvnf_iir>
            <bypass>0</bypass>
        </yuvnf_iir>

        <cc>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </cc>

        <dpcc>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </dpcc>

        <yuvnf>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </yuvnf>

        <sharpen>
            <use_manual>1</use_manual>
            <switch>0</switch>
        </sharpen>
        <sharpen_arsr>
            <use_manual>0</use_manual>
            <switch>0</switch>
        </sharpen_arsr>
    </RAW2YUV>
</Config>
